%global pypi_name isoduration

Summary:        Operations with ISO 8601 durations
Name:           python-%{pypi_name}
Version:        20.11.0
Release:        1%{?dist}
License:        ISC
URL:            https://github.com/bolsote/isoduration
Source0:        %{url}/releases/download/%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildArch:      noarch

%description
ISO 8601 is most commonly known as a way to exchange datetimes in textual
format. A lesser known aspect of the standard is the representation of
durations. They have a shape similar to this: P3Y6M4DT12H30M5S

%package -n     python3-%{pypi_name}
Summary:        Operations with ISO 8601 durations

%description -n python3-%{pypi_name}
ISO 8601 is most commonly known as a way to exchange datetimes in textual
format. A lesser known aspect of the standard is the representation of
durations. They have a shape similar to this: P3Y6M4DT12H30M5S

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# upstream does not bundle any tests in released tarball

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 20.11.0-1
- initial build
